<?php
require'fun.php';
require'f_admin.php';
$titlu='Adaugă zambaret';
$back[1]='<a href="/zambareti">'.img('setari.png',2).'Zambareti</a>';
$back[2]='<a href="/admin-adauga-zambareti">'.img('administrare.png',1).'Adaugă zambareti</a>';
require'f_sus.php';
if($pmtext=='')
{
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu ai completat codul zambaretului!'.$div[0];
require'f_jos.php';
}
$dir='img/zambareti';
$extensii_acceptate=['gif','jpeg','jpg','png'];
if(isset($_FILES['fisier']))
{
if($_FILES['fisier']['error']!=0)
{
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].[1=>'Fișierul încărcat depășește directiva upload_max_filesize, directivă din php.ini',2=>'Fișierul încărcat depășește limita declarată în formularul html',3=>'Fișierul nu s-a încărcat în totalitate',4=>'Nu a fost încărcat nici un fișier',6=>'Lipsește folderul temporar',7=>'Scrierea fișierului a eșuat',8=>'Această extensie este refuzată de PHP'][$_FILES['fisier']['error']].'!'.$div[0];
require'f_jos.php';
}
$nume_fisier=$_FILES['fisier']['name'];
$extensie=mb_strtolower(pathinfo($nume_fisier)['extension']);
if(!in_array($extensie,$extensii_acceptate))
{
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Fișier ne cunoscut, sper că nu încerci să faci vre-o măgărie!'.$div[0];
require'f_jos.php';
}
$nume_fisier='emoticon-('.$adresasite[3].')-'.$_SERVER['REQUEST_TIME'].'.'.$extensie;
$itemurl=$dir.'/'.$nume_fisier;
if(file_exists($itemurl))
{
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Un fișier cu acest nume este adăugat la zambareti!<br />Daca stii cu siguranta ca aceasta imagine nu este la zambareti, redenumeste fișierul, și încarcă-l din nou!'.$div[0];
require'f_jos.php';
}
if($_FILES['fisier']['error']!=0)
{
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].[1=>'Fișierul încărcat depășește directiva upload_max_filesize, directivă din php.ini',2=>'Fișierul încărcat depășește limita declarată în formularul html',3=>'Fișierul nu s-a încărcat în totalitate',4=>'Nu a fost încărcat nici un fișier',6=>'Lipsește folderul temporar',7=>'Scrierea fișierului a eșuat',8=>'Această extensie este refuzată de PHP'][$_FILES['fisier']['error']].'!'.$div[0];
require'f_jos.php';
}
copy($_FILES['fisier']['tmp_name'],$itemurl) or die($div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu se poate copia, verifică permisiunile dosarului în care urmează să fie introdus fișierul!'.$div[0]);
$vizibil=$_POST['vizibil'];
if($conn->query('INSERT INTO`imagini_zambareti`SET`scode`="'.$pmtext.'",`imgsrc`="'.$itemurl.'",`vizibil`="'.$vizibil.'"'))
{
$conn->query('INSERT INTO`jurnal_admini`SET`nume`="Administrare",`de`="'.$de.'",`text`="a adăugat zambaretul [b]'.$nume_fisier.'[/b] cu codul [b]'.$pmtext.'[/b]",`data`="'.$_SERVER['REQUEST_TIME'].'"');
echo$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].'Zâmbărețul <img src="/'.$itemurl.'" alt="'.$pmtext.'" /> cu codul <strong>'.$pmtext.'</strong> a fost adăugat!';
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7];
echo$div[0].$div[1].'Cod zambaret: '.$pmtext.'<br />Fisier: '.$nume_fisier.'<br />Link: '.$itemurl.'<br />Mărime fișier: '.round($_FILES['fisier']['size']/1024,1).' KB<br />Format:*.'.$extensie.'<br />Vizibil: '.$vizibil.$div[0];
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu ai selectat nici un fișier!'.$div[0];
require'f_jos.php';